package com.red.circle.other.inner.enums.team;

import java.util.Objects;

/**
 * @author pengliang on 2022/12/6
 */
public enum TeamMemberRole {
  /**
   * 拥有者.
   */
  OWN,

  /**
   * 管理员.
   */
  ADMIN,

  /**
   * 成员.
   */
  MEMBER;

  public boolean eq(String role) {
    return Objects.equals(role, this.name());
  }

  public boolean eq(TeamMemberRole role) {
    return Objects.equals(role, this);
  }

}
